> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get termination

GET https://api.letsdeel.com/rest/eor/{oid}/terminations/{terminationId}

Returns termination data for the specified contract and termination record. Requires viewer permissions.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/eor-endpoints/eor-terminations/get-termination

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `oid` (string, required) — Public contract oid
- `terminationId` (string, required) — Termination id

## Response

### 200

Ok response

- `id` (float, optional)
- `end_date` (string, optional, nullable) — The definitive contract end date
- `contract_id` (string, optional) — Public contract oid
- `request_data` (EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaRequestData, optional, nullable)
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Unauthorized response

- `list of EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaItems`

### 403 Forbidden Error

Forbidden response

- `list of EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaItems`

### 404 Not Found Error

Not Found response

- `list of EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaItems`

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaRequestData

- `reason` (string, optional, nullable)
- `end_date` (string, optional, nullable) — The definitive contract end date
- `reason_detail` (string, optional, nullable) — Optional field to describe the reason behind the resignation request
- `desired_end_date` (string, optional, nullable) — The desired end date. If the date is not provided, it will be selected by HRX the closest date possible
- `termination_impact` (EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaRequestDataTerminationImpact, optional, nullable) — Custom termination impact data if there is some configured on HR module
- `eligible_for_rehire` (enum, optional, nullable) — Parameter to inform whether it would be possible for the client to hire the employee again
  - Allowed values: `YES`, `NO`, `DONT_KNOW`
- `eligible_for_rehire_reason` (string, optional, nullable) — Describe if the option DONT_KNOW was selected on eligibleForRehire
- `custom_termination_reason_id` (float, optional, nullable) — Custom termination reason ID. A custom termination reason can be added on Client HR module

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaItems

- `message` (string, required)

### EorOidTerminationsTerminationIdGetResponsesContentApplicationJsonSchemaRequestDataTerminationImpact

Custom termination impact data if there is some configured on HR module

- `id` (string, optional)
- `title` (string, optional) — Termination impact title
- `description` (string, optional) — Termination impact description

## Examples

**Response**

```json
{
  "id": 1.1,
  "end_date": "'2025-01-31T00:00:00.000Z'",
  "contract_id": "5B74FnLM",
  "request_data": {
    "reason": "string",
    "end_date": "'2025-01-31T00:00:00.000Z'",
    "reason_detail": "Employee is moving to another country",
    "desired_end_date": "2025-01-31",
    "termination_impact": {
      "id": "string",
      "title": "Bad Impact",
      "description": "It will be bad"
    },
    "eligible_for_rehire": "DONT_KNOW",
    "eligible_for_rehire_reason": "false",
    "custom_termination_reason_id": 1.1
  },
  "desired_end_date": "2025-01-31"
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/oid/terminations/terminationId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/oid/terminations/terminationId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/oid/terminations/terminationId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/oid/terminations/terminationId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/eor/oid/terminations/terminationId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/eor/oid/terminations/terminationId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/oid/terminations/terminationId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/oid/terminations/terminationId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```